cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - node_modules/
    - .next/cache/

build_frontend:
  stage: build
  image: node:22@sha256:f6b9c31ace05502dd98ef777aaa20464362435dcc5e312b0e213121dcf7d8b95
  script:
    - |
      cd frontend
      npm install
      npx next build

docker_frontend:
  extends: .docker-build-template
  variables:
    IMAGE_NAME: frontend
    WORKDIR_PATH: frontend
    DOCKERFILE_PATH: Dockerfile
    BUILD_ARGS: "--build-arg HCAPTCHA_SITE_KEY=$HCAPTCHA_SITE_KEY"
  needs:
    - build_frontend
